ARES_CANCEL(3)

NAME
ares_cancel - Cancel a resolve

SYNOPSIS
#include <ares.h>

int ares_cancel(ares_channel channel)

DESCRIPTION
The ares_cancel function cancels all lookups/requests made on the the name service channel identified by channel. ares_cancel invokes the callbacks for each pending query on the channel, passing a status of ARES_ECANCELLED. These calls give the callbacks a chance to clean up any state which might have been stored in their arguments.

SEE ALSO
ares_init(3) ares_destroy(3)

NOTES
This function was added in c-ares 1.2.0 c-ares 1.6.0 and earlier pass a status of ARES_ETIMEOUT instead of ARES_ECANCELLED.

AUTHOR
Dirk Manske